/* $Id: weaponhookcut.hpp,v 1.6 2005/07/26 12:33:36 pohlt Exp $ */

#ifndef _WEAPONHOOKCUT_HPP_
#define _WEAPONHOOKCUT_HPP_

#include "weapon.hpp"
#include "audio.hpp"

class Rope;
class Avatar;

class WeaponHookCut : public Weapon {
	public:
		WeaponHookCut() {
			m_ID          = WEAPON_HOOK_CUT;
			m_maximumAmmo =  1;
			m_reloadTime  =  1;
			m_chargeTime  = 10;
			rechargeNow();
			m_shotSample = NULL; //Audio::getInstance()->loadSound( "sound/weapons/hook/shoot.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const ;

	protected:
		Rope* selectRopeForAction( const Avatar* avatar ) const;
};

#endif // _WEAPONMISSILE_HPP_
