/* $Id: weaponzapper.hpp,v 1.6 2005/06/28 13:55:26 chfreund Exp $ */

#ifndef _WEAPONZAPPER_HPP_
#define _WEAPONZAPPER_HPP_

#include "weapon.hpp"
#include "audio.hpp"

class WeaponZapper : public Weapon {
	public:
		WeaponZapper() {
			m_ID          = WEAPON_ZAPPER;
			m_maximumAmmo = 100;
			m_reloadTime  =   1;
			m_chargeTime  = 100;
			rechargeNow();
			m_shotSample = NULL; //Audio::getInstance()->loadSound( "sound/effects/electriccurrent.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const ;
};

#endif // _WEAPONZAPPER_HPP_
