#ifndef _MESSAGES_HPP_
#define _MESSAGES_HPP_

#include <string>

class MessageSink {
public:
	virtual ~MessageSink( void ) {};
	virtual void addMessage( std::string s ) { };
};

class MessageGenerator {
public:
	static std::string createFragMessage( const char* killer, const char* victim );
	static std::string createSuicideMessage( const char* killer );
	static std::string createGoalMessage( const char* scorer );
};

#endif // _MESSAGES_HPP_
